Update Knowledge Base
curl --request PUT \
--url https://api.trillet.ai/v1/api/knowledgebase/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-workspace-id: <x-workspace-id>' \
--data '
{
"name": "<string>",
"description": "<string>"
}
'import requests
url = "https://api.trillet.ai/v1/api/knowledgebase/{id}"
payload = {
"name": "<string>",
"description": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"x-workspace-id": "<x-workspace-id>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-api-key': '<api-key>',
'x-workspace-id': '<x-workspace-id>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>', description: '<string>'})
};
fetch('https://api.trillet.ai/v1/api/knowledgebase/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "665a1b2c3d4e5f6a7b8c9d0e",
"name": "Updated Product Docs",
"description": "Updated documentation and FAQs",
"workspaceId": "664a1b2c3d4e5f6a7b8c9d0e",
"updatedAt": "2024-06-02T09:00:00.000Z"
}
Knowledge Base
Update Knowledge Base
Update the name or description of an existing knowledge base.
PUT
/
v1
/
api
/
knowledgebase
/
{id}
Update Knowledge Base
Headers
string
required
API key used for authenticating requests to the API.
string
required
Workspace identifier for the API.
Path Parameters
string
required
The unique identifier of the knowledge base to update.
Request Body
string
Updated name for the knowledge base.
string
Updated description for the knowledge base.
Response Fields
string
Unique identifier for the knowledge base.
string
Updated name of the knowledge base.
string
Updated description of the knowledge base.
{
"_id": "665a1b2c3d4e5f6a7b8c9d0e",
"name": "Updated Product Docs",
"description": "Updated documentation and FAQs",
"workspaceId": "664a1b2c3d4e5f6a7b8c9d0e",
"updatedAt": "2024-06-02T09:00:00.000Z"
}
⌘I
